package me.hammerle.supersnuvi.entity.components;

import me.hammerle.supersnuvi.entity.Entity;

public class Movement extends Component
{
    public final static Movement NULL = new Movement(null);
    
    public Movement(Entity ent) 
    {
        super(ent);
    }
    
    //--------------------------------------------------------------------------
    // jumping
    //--------------------------------------------------------------------------
    
    public boolean jump()
    {
        return false;
    }
    
    public double getJumpPower()
    {
        return 0.0;
    }
}
